Bug 1600738 - refresh methods stop being called after working for several days in the self service version of dialogs
Summary: refresh methods stop being called after working for several days in the self ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.9.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.9.4
Assignee: eclarizi
QA Contact: Shveta
URL:
Whiteboard:
Depends On: 1598475
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-12 22:21 UTC by Satoe Imaishi
Modified: 2018-09-04 18:01 UTC (History)
14 users (show)

Fixed In Version: 5.9.4.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1598475
Environment:
Last Closed: 2018-09-04 18:00:53 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)
Working (149.09 KB, image/png)
2018-07-13 22:44 UTC, Shveta
no flags Details
after hotfix (84.32 KB, image/png)
2018-07-13 22:44 UTC, Shveta
no flags Details
Screenshot (86.96 KB, image/png)
2018-07-30 20:18 UTC, Shveta
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2561 None None None 2018-09-04 18:01:46 UTC

Comment 2 CFME Bot 2018-07-12 23:04:29 UTC
New commit detected on ManageIQ/manageiq-ui-service/gaprindashvili:

https://github.com/ManageIQ/manageiq-ui-service/commit/4818c77231c790d1127e5c789e5b5fb91df3eea5
commit 4818c77231c790d1127e5c789e5b5fb91df3eea5
Author:     Allen Wight <allen.b.wight@gmail.com>
AuthorDate: Thu Jul 12 16:50:24 2018 -0400
Commit:     Allen Wight <allen.b.wight@gmail.com>
CommitDate: Thu Jul 12 16:50:24 2018 -0400

    Merge pull request #1454 from eclarizio/BZ1598475

    Fix for refresh of dialog fields not being called in some circumstances
    (cherry picked from commit 8bbdd5e40637edf06ff6f4293704e46fcbb0602a)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1600738

 client/app/states/catalogs/details/details.state.js | 5 +-
 client/app/states/catalogs/details/details.state.spec.js | 58 +-
 2 files changed, 43 insertions(+), 20 deletions(-)

Comment 3 Shveta 2018-07-13 22:44:03 UTC
Created attachment 1458808 [details]
Working

Comment 4 Shveta 2018-07-13 22:44:27 UTC
Created attachment 1458809 [details]
after hotfix

Comment 5 Shveta 2018-07-13 22:44:58 UTC
Working after applying the hotifix in 5.9.3.4.20180702181921_afd03d7
Appliance : https://10.8.197.111/ui/service

Comment 8 Shveta 2018-07-30 20:18:35 UTC
Verified per steps provided by tina .
======================
Restored Cf db from customer .
In SUI , the dropdowns are refreshed/displayed according to values selected in 
Nº de discos adicionales.


Tested in 5.9.4.1.20180726225200_f44ec83

Comment 9 Shveta 2018-07-30 20:18:59 UTC
Created attachment 1471641 [details]
Screenshot

Comment 11 errata-xmlrpc 2018-09-04 18:00:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2561


Note You need to log in before you can comment on or make changes to this bug.